import type { _INDateComponentsRange } from "./INDateComponentsRange.js";
import type { _INIntent } from "./INIntent.js";
import type { _NSArray } from "../Foundation/NSArray.js";
import type { _NSNumber } from "../Foundation/NSNumber.js";
export declare class _INSnoozeTasksIntent extends _INIntent {
    static alloc(): _INSnoozeTasksIntent;
    static new(): _INSnoozeTasksIntent;
    init(): _INSnoozeTasksIntent;
    initWithTasks$nextTriggerTime$all$(tasks: _NSArray | null, nextTriggerTime: _INDateComponentsRange | null, all: _NSNumber | null): _INSnoozeTasksIntent;
    tasks(): _NSArray | null;
    nextTriggerTime(): _INDateComponentsRange | null;
    all(): _NSNumber;
}
